%define rname		alkimia
%define api		6
%define major		8
%define libname		%mklibname %{rname} %{api} %{major}
%define develname	%mklibname %{rname} -d

Summary:	Financial library
Name:		libalkimia
Version:	8.2.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		Office/Finance
URL:		https://community.kde.org/Alkimia/libalkimia
Source0:	https://download.kde.org/stable/alkimia/%{version}/%{rname}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
%ifarch x86_64 aarch64
BuildRequires:	cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KF6NewStuffCore)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6XmlGui)

BuildRequires:	cmake(Plasma)

BuildRequires:	doxygen
BuildRequires:	gmpxx-devel
BuildRequires:	mpir-devel

%description 
Financial library used by KMyMoney and Skrooge.

#-----------------------------------------------------------------------------

%package -n	plasma-applets-%{rname}
Summary:	Financial applets
Group:		Office/Finance

%description -n	plasma-applets-%{rname}
Financial applets for plasma desktop.

%files -n plasma-applets-%{rname} -f %{name}.lang
%{_kf6_bindir}/onlinequoteseditor%{api}
%{_kf6_datadir}/plasma/plasmoids/org.wincak.foreigncurrencies2%{api}
%{_kf6_applicationsdir}/org.kde.onlinequoteseditor%{api}.desktop
%{_kf6_iconsdir}/*/*/apps/onlinequoteseditor%{api}.*
%{_qt6_qmldir}/org/kde/alkimia%{api}/
%{_kf6_datadir}/knsrcfiles/*-quotes.knsrc
%{_kf6_datadir}/gdb/auto-load/*
%{_kf6_metainfodir}/org.kde.onlinequoteseditor%{api}.appdata.xml

#-----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Financial library
Group:		Office/Finance
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Financial library used by KMyMoney and Skrooge.

%files -n %{libname} -f %{name}.lang
%{_libdir}/%{name}%{api}.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	gmpxx-devel

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/%{name}%{api}.so
%{_libdir}/pkgconfig/%{name}%{api}.pc
%{_libdir}/cmake/LibAlkimia%{api}-*/
%{_includedir}/%{rname}/

#-----------------------------------------------------------------------------

%prep
%autosetup -n %{rname}-%{version}

sed -i 's|\${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}|\${CMAKE_INSTALL_LIBDIR}|' src/python/CMakeLists.txt

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Wed Jun 25 2025 daviddavid <daviddavid> 8.2.0-2.mga10
+ Revision: 2194562
- new version: 8.2.0
- switch to Qt6/KF6

* Wed Sep 20 2023 daviddavid <daviddavid> 8.1.2-1.mga10
+ Revision: 1988294
- new version: 8.1.2

* Tue Nov 15 2022 daviddavid <daviddavid> 8.1.1-1.mga9
+ Revision: 1907364
- new version: 8.1.1

* Thu Mar 04 2021 daviddavid <daviddavid> 8.1.0-1.mga9
+ Revision: 1698046
- new version: 8.1.0

* Thu Dec 17 2020 umeabot <umeabot> 8.0.3-4.mga8
+ Revision: 1658867
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 8.0.3-3.mga8
+ Revision: 1588495
- switch appdata file to kf5_metainfo dir

* Wed Feb 19 2020 umeabot <umeabot> 8.0.3-2.mga8
+ Revision: 1544543
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 8.0.3-1.mga8
+ Revision: 1483227
- new version: 8.0.3
+ wally <wally>
- build with new cmake macros

* Sun Oct 06 2019 zezinho <zezinho> 8.0.2-1.mga8
+ Revision: 1450016
- new version 8.0.2

* Sun Mar 31 2019 umeabot <umeabot> 7.0.2-3.mga7
+ Revision: 1383045
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 7.0.2-2.mga7
+ Revision: 1298752
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 daviddavid <daviddavid> 7.0.2-1.mga7
+ Revision: 1218426
- new version: 7.0.2

* Sat Mar 17 2018 daviddavid <daviddavid> 7.0.1-1.mga7
+ Revision: 1210120
- new version: 7.0.1

* Fri Feb 23 2018 daviddavid <daviddavid> 7.0-2.mga7
+ Revision: 1204340
- split out all Qt5 BRs
- fix requires from devel pkg
- obsoletes libalkimia-devel 5.0.0
- fix owner of include dir and cmake dir

* Fri Feb 23 2018 zezinho <zezinho> 7.0-1.mga7
+ Revision: 1204311
- add qt5 br
- new version 7 to build kmymoney 5

* Thu Jun 16 2016 zezinho <zezinho> 5.0.0-1.mga6
+ Revision: 1021761
- new version 5.0.0 needed for kmymoney 4.8.0

* Fri Jan 29 2016 umeabot <umeabot> 4.3.2-7.mga6
+ Revision: 928933
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3.2-6.mga5
+ Revision: 740355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3.2-5.mga5
+ Revision: 681324
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.3.2-4.mga4
+ Revision: 506900
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3.2-3.mga3
+ Revision: 356796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 4.3.2-2.mga3
+ Revision: 322438
- fix rpm group

* Mon Jan 30 2012 zezinho <zezinho> 4.3.2-1.mga2
+ Revision: 203521
- new version
+ dmorgan <dmorgan>
- Clean spec file
  	- Remove %%clean section
  	- Remove default defattr()
  	- Remove rm -fr in %%install section
  Use major macro in the file list, to be sure to catch major change

* Sat Sep 24 2011 fwang <fwang> 4.3.1-2.mga2
+ Revision: 147210
- correct libname

* Fri Sep 23 2011 zezinho <zezinho> 4.3.1-1.mga2
+ Revision: 147102
- imported package libalkimia

